[chipsec] [PATCH 0/2] Updates for CHIPSEC in LUV

Ricardo Neri ricardo.neri-calderon at linux.intel.com
Wed Jul 5 17:52:55 PDT 2017


Now that CHIPSEC v1.3.1 is out. It might be good to update LUV to use it.
These two patches deal with this.

While bumping to v1.3.1, one our patches to not include CHIPSEC
documentation needed a trivial update. Also, now CHIPSEC determines which
version of the Linux module it needs to build (32-bit or 64-bit) based on
the kernel running in the host machine. This makes cross-compiling
difficult. Thus, this change was reverted. Instead, we allow setup.py
determine the correct version.

Lastly, the CHIPSEC team has recommended to not run the tool with the -i
option as it may lead to spurious results. This is fixed.

Thanks and BR,
Ricardo

Ricardo Neri (2):
  chipsec: run CHIPSEC without the -i option
  chipsec: bump to v1.3.1

 ...issue-with-building-driver-on-32bit-syste.patch | 43 ++++++++++++++++++++++
 .../chipsec/0001-chipsec-do-not-ship-manual.patch  |  4 +-
 meta-luv/recipes-core/chipsec/chipsec/chipsec      |  2 +-
 meta-luv/recipes-core/chipsec/chipsec_git.bb       |  5 ++-
 4 files changed, 49 insertions(+), 5 deletions(-)
 create mode 100644 meta-luv/recipes-core/chipsec/chipsec/0001-Revert-fix-issue-with-building-driver-on-32bit-syste.patch

-- 
2.7.4



More information about the chipsec mailing list